import { Divider, Paper, Typography } from '@mui/material'
import { PropsWithChildren } from 'react'

interface CardInfoProps extends PropsWithChildren {
    label: string;
}

export default function CardInfo({
    children,
    label
}: CardInfoProps) {
    return (
        <Paper sx={{ display: 'flex', flexDirection: 'column', gap: '16px', p: '16px' }}>
            <Typography fontWeight={600}>
                {label}
            </Typography>

            <Divider />

            {children}
        </Paper>
    )
}