import { Chip } from '@mui/material'
import { ReactElement } from 'react'

interface CardInfoChipProps {
    status: boolean;
    label: string;
    iconOn: ReactElement
    iconOff: ReactElement
}

export default function CardInfoChip({
    status,
    label,
    iconOn,
    iconOff
}: CardInfoChipProps) {
    return (
        <Chip
            icon={status ? iconOn : iconOff}
            variant="outlined"
            label={label}
            color={status ? "success" : "error"}
        />
    )
}